package com.qmth.teachcloud.common.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: excel结果
 * @Author: CaoZixuan
 * @Date: 2024-03-26
 */
public class ExcelResult<T> {

    @ApiModelProperty("数据")
    private List<T> datasource;

    @ApiModelProperty("是否成功")
    private boolean success;

    @ApiModelProperty("报错信息")
    private String errorMsg;

    public List<T> getDatasource() {
        return datasource;
    }

    public void setDatasource(List<T> datasource) {
        this.datasource = datasource;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
